curl --request POST \
--url https://api.siray.ai/v1/video/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"character_orientation": "video",
"elements": [
{
"frontal_image": "example_value",
"reference_images": [
"example_value"
],
"video": "example_value"
}
],
"image": "example_value",
"keep_original_sound": false,
"model": "kuaishou/kling-3-motion-control",
"prompt": "example_value",
"video": "example_value"
}
'import requests
url = "https://api.siray.ai/v1/video/generations"
payload = {
"character_orientation": "video",
"elements": [
{
"frontal_image": "example_value",
"reference_images": ["example_value"],
"video": "example_value"
}
],
"image": "example_value",
"keep_original_sound": False,
"model": "kuaishou/kling-3-motion-control",
"prompt": "example_value",
"video": "example_value"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
character_orientation: 'video',
elements: [
{
frontal_image: 'example_value',
reference_images: ['example_value'],
video: 'example_value'
}
],
image: 'example_value',
keep_original_sound: false,
model: 'kuaishou/kling-3-motion-control',
prompt: 'example_value',
video: 'example_value'
})
};
fetch('https://api.siray.ai/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"task_id": "<string>"
},
"message": "<string>"
}Kling 3 Motion Control
Authorizations
Bearer authentication using API key
Body
Request payload
Request format for video generation models
Controls whether the output character's orientation matches the reference image or video. 'video': orientation matches reference video - better for complex motions (max 30s). 'image': orientation matches reference image - better for following camera movements (max 10s).
video, image Input image for generation, it can be data URL or image URL
Model name to use for the request
kuaishou/kling-3-motion-control Text prompt for generation
Reference sports video URL; support .mp4, .mov. Video file size must not exceed 10MB; both width and height must be >= 300px; duration 3-30 seconds.
Character/object elements for video generation
Show child attributes
Show child attributes
Whether to keep the original sound in video generation
Response
Successful response
